#
# spec file for package libgt
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgt
Version:        0.3.11
Release:        11.3
Summary:        C library for GuardTime Keyless Signature Service
License:        Apache-2.0
Group:          Development/Libraries/C and C++
Url:            http://www.guardtime.com/
Source0:        %{name}-%{version}-src.tgz
Patch1:         libgt-%{version}.diff
BuildRequires:  automake
BuildRequires:  libcurl-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides the GuardTime Keyless Signature Service
Client SDK libraries and header files.

The digital timestamping component of the service is officially
certified and Guardtime is accredited as a timestamp authority
by the European Union.

%package -n libgtbase0
Summary:        Base library for GuardTime Keyless Signature Service
Group:          Development/Libraries/C and C++

%description -n libgtbase0
This package provides the GuardTime Keyless Signature Service
Client base runtime library.

The digital timestamping component of the service is officially
certified and Guardtime is accredited as a timestamp authority
by the European Union.

%package -n libgthttp0
Summary:        HTTP library for GuardTime Keyless Signature Service
Group:          Development/Libraries/C and C++

%description -n libgthttp0
This package provides the GuardTime Keyless Signature Service
Client http runtime library.

The digital timestamping component of the service is officially
certified and Guardtime is accredited as a timestamp authority
by the European Union.

%package -n libgtpng0
Summary:        PNG library for GuardTime Keyless Signature Service
Group:          Development/Libraries/C and C++

%description -n libgtpng0
This package provides the GuardTime Keyless Signature Service
Client png runtime library.

The digital timestamping component of the service is officially
certified and Guardtime is accredited as a timestamp authority
by the European Union.

%package devel
Summary:        Client C SDK for GuardTime Keyless Signature Service
Group:          Development/Libraries/C and C++
Requires:       libgtbase0 = %{version}
Requires:       libgthttp0 = %{version}
Requires:       libgtpng0 = %{version}

%description devel
This package provides the GuardTime Keyless Signature Service
Client SDK libraries and header files.

The digital timestamping component of the service is officially
certified and Guardtime is accredited as a timestamp authority
by the European Union.

%prep
%setup -q
%patch1

%build
autoreconf -fi
%configure \
	--disable-static
make %{?_smp_mflags}

%check
make %{?_smp_mflags} check

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print
rm -rf "%{buildroot}/%{_datadir}/doc/%{name}"

%post -n libgtbase0 -p /sbin/ldconfig

%post -n libgthttp0 -p /sbin/ldconfig

%post -n libgtpng0 -p /sbin/ldconfig

%postun -n libgtbase0 -p /sbin/ldconfig

%postun -n libgthttp0 -p /sbin/ldconfig

%postun -n libgtpng0 -p /sbin/ldconfig

%files -n libgtbase0
%defattr(-,root,root)
%{_libdir}/libgtbase.so.0*

%files -n libgthttp0
%defattr(-,root,root)
%{_libdir}/libgthttp.so.0*

%files -n libgtpng0
%defattr(-,root,root)
%{_libdir}/libgtpng.so.0*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/libgt.pc
%{_libdir}/libgtbase.so
%{_libdir}/libgthttp.so
%{_libdir}/libgtpng.so
%{_includedir}/gt_base.h
%{_includedir}/gt_http.h
%{_includedir}/gt_png.h
%doc changelog
%doc doc/*.pdf
%doc src/license*.txt

%changelog
* Fri Mar 13 2015 tchvatal@suse.com
- Cleanup with spec-cleaner a bit
- Seems like upstream remvoed all mentionsof libgt from their pages
  so reduce the download for src
* Tue Apr 30 2013 mt@suse.de
- Fixed spec file to use Apache-2.0 license tag, not just Apache
* Tue Apr 30 2013 mt@suse.de
- Added patch providing libgt.pc file as required for rsyslog;
  Based on changes from http://git.adiscon.com/?p=libgt.git
* Tue Apr 30 2013 mt@suse.de
- Initial libgt Guardtime Client SDK library package
